> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Uptime Monitor

> Update monitor settings

## Path Parameters

<ParamField path="id" type="string" required>
  The monitor ID
</ParamField>

## Body Parameters

<ParamField body="name" type="string">
  Updated monitor name
</ParamField>

<ParamField body="url" type="string">
  Updated URL to monitor
</ParamField>

<ParamField body="enabled" type="boolean">
  Enable or disable the monitor
</ParamField>

<ParamField body="interval_seconds" type="integer">
  Updated check interval
</ParamField>

## Response

Returns the updated monitor object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
    -H "X-API-Key: your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "enabled": false,
      "interval_seconds": 600
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "uuid",
    "enabled": false,
    "interval_seconds": 600
  }
  ```
</ResponseExample>
